Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.bind
Class ServletRequestBindingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.ServletException
                  org.springframework.web.util.NestedServletException
                      org.springframework.web.bind.ServletRequestBindingException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MissingServletRequestParameterException, UnsatisfiedServletRequestParameterException

    public class ServletRequestBindingException

extends NestedServletException

Fatal binding exception, thrown when we want to treat binding exceptions as unrecoverable.

Extends ServletException for convenient throwing in any Servlet resource (such as a Filter), and NestedServletException for proper root cause handling (as the plain ServletException doesn't expose its root cause at all).

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`ServletRequestBindingException(java.lang.String msg)` Constructor for ServletRequestBindingException.
`ServletRequestBindingException(java.lang.String msg, java.lang.Throwable cause)` Constructor for ServletRequestBindingException.

Method Summary

Methods inherited from class org.springframework.web.util.NestedServletException
`getMessage`

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletRequestBindingException

    public ServletRequestBindingException(java.lang.String msg)

  Constructor for ServletRequestBindingException.

  Parameters:
    `msg` - the detail message

### ServletRequestBindingException

    public ServletRequestBindingException(java.lang.String msg,
                                          java.lang.Throwable cause)

  Constructor for ServletRequestBindingException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD